@font-face {
    font-family: "MyCustomFont";
    src: url("fonts/BodegaScript_0.woff2") format("woff2"),
         url("fonts/BodegaScript_0.woff") format("woff"),
         url("fonts/BodegaScript_0.ttf") format("truetype");
    font-weight: normal;
    font-style: normal;
    font-display: swap; /* улучшает восприятие загрузки */
}

@font-face {
    font-family: "MyCustomFont2";
    src: url("fonts/Mltsvfont1.woff2") format("woff2"),
         url("fonts/Mltsvfont1.woff") format("woff"),
         url("fonts/Mltsvfont1.ttf") format("truetype");
    font-weight: normal;
    font-style: normal;
    font-display: swap; /* улучшает восприятие загрузки */
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    background-color: #faeec8;
}

.container{
    width: 100%;
    overflow: hidden
}

p{
    font-family: "MyCustomFont2", "Arial", sans-serif; 
    font-weight: 100;
    color: #2f2e2fe0;
    text-align: center;
    font-size: 25px;
}

.pink {
    font-family: "MyCustomFont", "Arial", sans-serif;
    color: #d961ad;
    font-size: 150px;
    font-weight: 100;
}

.blue {
    font-family: "MyCustomFont", "Arial", sans-serif;
    color: #7ec7bc;
    font-size: 155px;
    font-weight: 100;
}

.name {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;            /* не переносить на новую строку */
    justify-content: center;
    margin: 0 auto;
    width: 100%;
    position: relative;
    margin-top: 100px;
}

.fon{
    display: flex;
    margin-top: 40px;
    margin-left: 10px;
}

.fon img{
    width: 1000px;
}

.date{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 150px;
}

.date p {
    font-size: 130px;
    margin: -50px;
}

.text1{
    margin: 0 auto;
    margin-top: 100px;
}

.text1 p {
    font-size: 25px;
    text-align: center;
}

.kulon{
    width: 150px;
    margin: 0 auto;
    margin-top: 50px;
    margin-bottom: 50px;
}

.kulon img{
    width: 150px;
    height: auto;
}

.text2{
    margin: 0 auto;
    margin-bottom: 30px;
}

.text2 p {
    font-size: 25px;
    text-align: center;
}

.month{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0 auto;
}

.month p{
    font-size: 100px;
}

.month img{
    transform: scale(1.4);
    margin-top: -30px;
}

.time{
    margin-top: 100px;
    text-align: center;
}

.time p{
    font-size: 130px;
}

.timeline{
    display: grid;
    grid-template-columns: repeat(3, 170px);
    grid-template-rows: repeat(4, auto);
    column-gap: 200px;
    row-gap: 110px;
    place-items: center;
    justify-content: center;
    align-items: center;
}

.timeline p{
    font-size: 25px;
    text-align: center;
    color: #2f2e2fe0;
}

.timeline h1{
    font-family: "MyCustomFont", "Arial", sans-serif;
    width: 100px;
}

.time1,.time2,.time4,.time5{
    margin-top:-200px ;
    color: #2f2e2fe0;
}

.time3,.time6{
    margin-top:-170px ;
    margin-left: 50px;
    color: #2f2e2fe0;
}

.time1,.time4{
    margin-right: 30px;
}

.time2{
    position: relative;
}

.timeimg{
    display: grid;
    grid-template-columns: repeat(3, auto);
    grid-template-rows: repeat(2, auto);
    column-gap: 200px;
    row-gap: 100px;
    place-items: center;
    justify-content: center;
    align-items: center;
    margin-top: -350px;
}

.line1{
    width: 130px;
    height: auto;
}
.line2{
    width: 110px;
    height: auto;
}
.line3{
    width: 110px;
    height: auto;
}
.line4{
    width: 80px;
    height: auto;
}
.line5{
    width: 80px;
    height: auto;
}
.line6{
    width: 110px;
    height: auto;
    margin-top: 30px;
}


.map p{
    font-size: 130px;  
}

.img2{
    width: 400px;
    transform: scaleX(-1);
    margin-right: 100px;
}

.map{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 100px;
}

.text3{
    margin-top: -20px;
    width: 600px;
    text-align: center;
    margin-bottom: 20px;
}

.text3 a {
    color: #2f2e2f;
    font-size: 25px;
    text-decoration: none;
}

.ymap{
    width: 350px;
    height: 290px;
}

.dress{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 100px;
}

.dresst{
    width:600px;
    text-align: center;
    margin-top: 50px;
    margin-bottom: 50px;
}

.dresst p {
    font-size: 25px;
}

.dressImg{
    width: 1000px;
    height: auto;
}

.dressImg img{
    width: 100%;
}

.anketat{
    width: 600px;
    margin: 0 auto;
}

.anketat p{
    font-size: 20px;
}

.test{
    width: 400px;
    margin: 0 auto;
    margin-top: 50px;
}

.test h2{
    margin-left: 10px;
    font-family: "MyCustomFont2", "Arial";   
}

.test h3{
    font-family: "MyCustomFont2", "Arial";   
}

.fi{
    width: 100%;
    height: 30px;
    background: transparent;
    border: 0.5px solid #2f2e2f;
    margin-top: 5px;
    margin-bottom: 30px;
    font-family: "MyCustomFont2", "Arial", sans-serif; 
    font-weight: 100;
    font-size: 20px;
    padding-left: 10px;
}

.presence{
    width: 100%;
    height: 30px;
    background: transparent;
    font-family: "MyCustomFont2", "Arial", sans-serif; 
    font-weight: 100;
    font-size: 20px;
    margin-top: 5px;
    margin-bottom: 30px;
    padding-left: 10px;
}


option{
    font-family: "MyCustomFont2", "Arial", sans-serif; 
    font-weight: 100;
    font-size: 20px;
}

.custom-radio {
    display: inline-flex;
    align-items: center;
    gap: 12px;
    font-family: sans-serif;
    font-size: 18px;
    cursor: pointer;
    font-family: "MyCustomFont2", "Arial", sans-serif; 
    font-weight: 100;
    font-size: 20px;
    width: 100%;
}

/* Скрываем стандартный радио-кружок */
.custom-radio input {
    display: none;
}

/* Рисуем пустой квадратик */
.custom-radio .square {
    width: 22px;
    height: 22px;
    background: transparent;
    border: 1px solid #2f2e2f;
    border-radius: 4px;   /* квадрат с чуть скруглёнными углами */
    display: inline-block;
    position: relative;
    transition: 0.1s;
}

/* Галочка — рисуем через псевдоэлемент */
.custom-radio input:checked + .square::after {
    content: "✓";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 18px;
    font-weight: bold;
    color: #d961ad;
}

.choice{
    margin-top: 10px;
    margin-bottom: 30px;
}

.button{
    display: flex;
    justify-content: center;
    align-items: center;
}

.ok{
    width: 150px;
    height: 30px;
    border-radius: 10px;
    cursor: pointer;
    background: transparent;
    margin-top: 20px;
    border: 1px solid #2f2e2f;
    font-size: 16px;
    font-family: "MyCustomFont2", "Arial", sans-serif; 
    font-weight: 100;
}

.end{
    width: 140px;
    margin: 0 auto;
    margin-top: 100px;
}





/* Только на телефонах — включаем обрезку на весь экран */
@media (max-width: 1024px) {

    .test{
        width: 350px;
    }

    .ymap{
        width: 300px;
        height: 290px;
    }

    .img2{
         display: none;
    }
    
    .month{
        margin-top: 30px;
    }

    .img2{
        margin: 0  auto;
        margin-top: 50px;
        scale: 1.5;
    }

    .map p{
        margin-top: -60px;
        font-size: 80px;
    }

    .text3{
        width: 300px;
    }

    .text3 a{
        font-size: 12px;
    }

    .timeimg{
        grid-template-columns: repeat(2, auto);
        grid-template-rows: repeat(3, auto);
        margin-top: -570px;
        column-gap: 150px;

    }

    .line1,.line2{
        width: 80px;
        height: auto;
        margin-right: 20px;
    }

    .line2{
        margin-left: -200px;
    }

    .line3{
        width: 80px;
        height: auto;
        margin-top: 10px;
        margin-left: 100px;
    }

    .line4{
        width: 60px;
        height: auto;
        margin-top: 10px;
        margin-left: -50px;
    }

    .line5,.line6{
        margin-top: 30px;
        width: 80px;
        height: auto;
    }
    .line5{
        margin-left: -80px;
        width: 60px;
    }
    .line6{
        margin-left: -200px;
    }


    .timeline{
        grid-template-columns: repeat(2, 170px);
        grid-template-rows: repeat(6, auto);
        column-gap: 50px;
        row-gap: 200px;
        margin-top: -380px;
    }

    .timeline p{
        font-size: 20px;
    }
    .timeline h1{
        font-size: 20px;
    }

    .t1{
        grid-column: 1 / 2;
        grid-row: 1 / 6;
    }
    .time1{
        grid-column: 1 / 2;
        grid-row: 2 / 6;
        margin-top: -140px;
        margin-right: 30px;
    }
    .t2{
        grid-column: 2 / 2;
        grid-row: 1 / 6;
        margin-right: 50px;
    }
    .time2{
        grid-column: 2 / 2;
        grid-row: 2 / 6;
        margin-top: -140px;
        margin-right: 100px;        
    }
    .t3{
        grid-column: 1 / 2;
        grid-row: 3 / 6;
        margin-left: 100px;
    }
    .time3{
        grid-column: 1 / 2;
        grid-row: 4 / 6;
        margin-top: -100px;
        margin-left: 150px;
    }
    .t4{
        grid-column: 2 / 2;
        grid-row: 3 / 6;
        margin-left: 80px;
    }
    .time4{
        grid-column: 2 / 2;
        grid-row: 4 / 6;
        margin-top: -140px;
        margin-right: 0px;
        margin-left: 100px;
    }
    .t5{
        grid-column: 1 / 2;
        grid-row: 5 / 6;
        margin-right: 30px;
    }
    .time5{
        grid-column: 1 / 2;
        grid-row: 6 / 6;
        margin-top: -390px;
        margin-right: 30px;
    }
    .t6{
        grid-column: 2 / 2;
        grid-row: 5 / 6;
        margin-right: 100px;
    }
    .time6{
        grid-column: 2 / 2;
        grid-row: 6 / 6;
        margin-top: -370px;
        margin-right: 150px;
    }

    .time{
    margin-top: 60px;
    }

    .time p{
        font-size:80px;
    }

    .month img{
        width: 180px;  /* Вместо scale(1.4) */
        height: auto;
        margin-top: -10px;
        position: relative;
    }

    .month p{
        font-size: 70px;
    }

    .date{
        margin-top: 30px;
    }

    .date p {
        font-size: 50px;
        margin: -20px;
    }

    .text1 p,.text2 p{
        font-size: 20px;
    }

    .text1{
        margin-top: 50px;
    }

    .text1 p{
        font-size: 15px;
    }

    .kulon{
        width: 100px;
    }

    .kulon img{
        width: 100px;
        height: auto;
    }

    .text2 p{
        font-size: 15px;
    }

    .pink{
        font-size: 60px;
    }

    .blue{
        font-size: 60px;
    }

    .name{
        margin-top: 20px;
        margin-bottom: 100px;
    }

    .fon{
        width: 500px;
        height: auto;
    }

    .fon img{
        width: 100%;
        height: auto;
    }

    .dress{
        margin-top: 30px;
    }
    
    .dresst{
        width: 350px;
        margin: 0;
    }
    .dresst p{
        font-size: 15px;
    }

    .dressImg{
        width: 400px;
        height: auto;
    }

    .anketat{
        width: 350px;
    }

    .anketat p{
        font-size: 15px;
    }

}